Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1906 (closed defect: fixed)

Opened 11 years ago

Last modified 11 years ago

Trunk (r3556-20080421) won't compile under kernel 2.4

Reported by: nenad@panline.net Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: other Version: trunk
Keywords: kernel 2.4 compile problem Cc:
Patch is attached: 1 Pending:

Description (Last modified by mrenzmann)

madwifi-ng trunk (r3556-20080421) won't compile under kernel 2.4 (in particular, 2.4.32):

make -C  /usr/src/redhat/BUILD/madwifi-ng-r3556-20080421/ath CFLAGS="-D__KERNEL__ -I/usr/src/redhat/BUILD/kernel-2.4.32/linux-2.4.32/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i586  -DMODULE -DMODVERSIONS -include /usr/src/redhat/BUILD/kernel-2.4.32/linux-2.4.32/include/linux/modversions.h" MAKING_MODULES=1 modules
make[3]: Entering directory `/usr/src/redhat/BUILD/madwifi-ng-r3556-20080421/ath'
gcc -D__KERNEL__ -I/usr/src/redhat/BUILD/kernel-2.4.32/linux-2.4.32/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i586  -DMODULE -DMODVERSIONS -include /usr/src/redhat/BUILD/kernel-2.4.32/linux-2.4.32/include/linux/modversions.h -DAR_DEBUG -DIEEE80211_DEBUG  -include ./../include/compat.h -I./../include -I./.. -I./../ath_hal -I./../hal -I./../net80211 -DATH_PCI -DDFS_DOMAIN_ETSI -DDFS_DOMAIN_FCC -DTARGET='"i386-elf"' -Werror -Wall -DAH_BYTE_ORDER=AH_LITTLE_ENDIAN -fomit-frame-pointer -DATH_SUPERG_FF=1 -DATH_SUPERG_DYNTURBO=1 -DATH_TURBO_SCAN=1 -DATH_SUPERG_COMP=1 -DATH_SUPERG_XR=1 -DATH_CAP_TPC=1 -DOPT_AH_H=\"public/i386-elf.opt_ah.h\" -nostdinc -iwithprefix include -DKBUILD_BASENAME=if_ath  -DEXPORT_SYMTAB -c if_ath.c
if_ath.c:60:26: linux/bitmap.h: No such file or directory
if_ath.c: In function `ath_attach':
if_ath.c:796: `INITIAL_JIFFIES' undeclared (first use in this function)
if_ath.c:796: (Each undeclared identifier is reported only once
if_ath.c:796: for each function it appears in.)
cc1: warnings being treated as errors
if_ath.c: In function `ath_scanbufs':
if_ath.c:12955: warning: implicit declaration of function `kzalloc'
if_ath.c:12956: warning: assignment makes pointer from integer without a cast
make[3]: *** [if_ath.o] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/madwifi-ng-r3556-20080421/ath'
make[2]: *** [_mod_/usr/src/redhat/BUILD/madwifi-ng-r3556-20080421/ath] Error 2
make[2]: Leaving directory `/usr/src/redhat/BUILD/kernel-2.4.32/linux-2.4.32'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/madwifi-ng-r3556-20080421/ath'
make: *** [modules] Error 1

Attachments

dump.txt (2.2 kB) - added by nenad@panline.net on 04/23/08 02:47:55.
compilation log
madwifi-trunk-r3562-kernel_2.4.patch (1.5 kB) - added by nenad@panline.net on 04/24/08 01:41:54.
quick hack to enable compilation on 2.4 kernels
madwifi-trunk-r3562-hal_unmangle_path.patch (0.6 kB) - added by nenad@panline.net on 04/24/08 01:43:10.
needed for compilation for openwrt or redhat

Change History

04/23/08 02:47:55 changed by nenad@panline.net

  • attachment dump.txt added.

compilation log

04/23/08 06:22:47 changed by mrenzmann

  • description changed.

04/24/08 01:41:54 changed by nenad@panline.net

  • attachment madwifi-trunk-r3562-kernel_2.4.patch added.

quick hack to enable compilation on 2.4 kernels

04/24/08 01:43:10 changed by nenad@panline.net

  • attachment madwifi-trunk-r3562-hal_unmangle_path.patch added.

needed for compilation for openwrt or redhat

04/24/08 01:44:10 changed by nenad@panline.net

With these two patches I was able to compile and test on i386/RedHat system with kernel 2.4.32.

04/27/08 03:51:42 changed by mentor

  • priority changed from critical to major.
  • status changed from new to closed.
  • patch_attached set to 1.
  • resolution set to fixed.
  • milestone set to version 0.9.5.

I believe this issue should be fixed in latest trunk.